package jp.agentec.sinaburocast.entity;

import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

@Entity
@Table(name="m_delivery_group")
public class DeliveryGroup extends AbstractEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "delivery_group_id")
	public Integer deliveryGroupId;

	@Column(name = "delivery_group_name")
	public String deliveryGroupName;
	public String memo;

	@Column(name = "del_flg")
	public Integer delFlg;

	/** RDeliveryGroupMemberList関連プロパティ */
    @OneToMany(mappedBy = "deliveryGroup")
    public List<DeliveryGroupMember> deliveryGroupMemberList;

    /** RDeliveryGroupMemberList関連プロパティ */
    @OneToMany(mappedBy = "deliveryGroup")
    public List<DeliveryGroupMember> deliveryGroupMemberList2;


    /** TEnqueteMailList関連プロパティ */
    @OneToMany(mappedBy = "deliveryGroup")
    public List<EnqueteMail> enqueteMailList;

    @ManyToOne
    @JoinColumn(name = "delivery_group_id", referencedColumnName = "delivery_group_id")
	public DeliveryGroupMember deliveryGroupMember;


}
