/**
 *
 */
package jp.agentec.sinaburocast.form.admin.member;

import jp.agentec.sinaburocast.entity.UploadError;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.struts.upload.FormFile;
import org.seasar.struts.annotation.Arg;
import org.seasar.struts.annotation.Maxlength;
import org.seasar.struts.annotation.Msg;
import org.seasar.struts.annotation.Required;

/**
 * @author kim-hs
 *
 */
public class DeliveryGroupRegistAllForm {


	public UploadError uploadError;

	@Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.groupName"))
	@Maxlength(maxlength=30, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.groupName"))
	public String groupName;

    @Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.uploadFile"))
	public FormFile file;

	@Maxlength(maxlength=256, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.memo"))
	public String groupMemo;

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, StandardToStringStyle.DEFAULT_STYLE).toString();
	}
}
