package jp.agentec.sinaburocast.form.admin.setting;

import java.util.ArrayList;

import jp.agentec.sinaburocast.entity.FileManage;
import jp.agentec.sinaburocast.entity.UploadError;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.struts.upload.FormFile;
import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;


/**
 * 画像・ドキュメントファイルForm
 *
 * @author arakawa
 *
 */
@Component(instance=InstanceType.SESSION)
public class ImageFileRegistForm extends PagingForm{

	/**
	 * ファイル管理ID
	 */
	public String fileManageId;

	/**
	 * ファイルタイプ
	 */
	public String fileType;

	public String memo;

	/** 検索結果 */
	public ArrayList<FileManage> searchResultList;

	public void resetIndex(){
		searchResultList = null;
	}

	public FormFile file;

	public UploadError uploadError;

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, StandardToStringStyle.SIMPLE_STYLE).toString();
	}

}
