package jp.agentec.sinaburocast.service;

import java.util.List;

import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;

import jp.agentec.sinaburocast.entity.Gift;

@Component(instance=InstanceType.SINGLETON)
public class GiftService extends AbstractService<Gift> {

    public Gift findById(Integer giftId) {
        return select().id(giftId).getSingleResult();
    }

    public List<Gift> findAllOrderById() {
        return select().orderBy("giftId asc").getResultList();
    }
}