package jp.agentec.sinaburocast.service;

import javax.annotation.Resource;

import jp.agentec.sinaburocast.common.util.SinaburoUtil;
import jp.agentec.sinaburocast.entity.EnqueteMail;
import jp.agentec.sinaburocast.entity.NotifyMailSendResult;
import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class NotifyMailSendResultServiceTest extends S2DaoTestCase {

	@Resource
	private NotifyMailSendResultService notifyMailSendResultService;

	public NotifyMailSendResultServiceTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("NotifyMailSendResultServiceTest");
//		suite.addTest(new NotifyMailSendResultServiceTest("insertNotifyMailSendResult"));
		suite.addTest(new NotifyMailSendResultServiceTest("findByMemberNotifyMailIdExchangeEnqueteMail"));
		return suite;
	}


	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}

	public void insertNotifyMailSendResult() {
		NotifyMailSendResult notifyMailSendResult = new NotifyMailSendResult();
		notifyMailSendResult.memberNotifyMailId = 1;
		notifyMailSendResult.messageId = "1";
		notifyMailSendResult.email = "aaa";
		System.out.println(notifyMailSendResultService.insertNotifyMailSendResult(notifyMailSendResult,"TEST"));
	}

	public void findByMemberNotifyMailIdExchangeEnqueteMail() {
		EnqueteMail enqueteMail = notifyMailSendResultService.findByMemberNotifyMailIdExchangeEnqueteMail(1);
		StringBuffer str = new StringBuffer();
		str.append("\"メール件名：" + enqueteMail.subject + "\"");
		str.append("\r\n");
		str.append("\"配信日時：" + SinaburoUtil.convertTimestampToString(enqueteMail.deliveryDate, "yyyy/MM/dd HH:mm:ss") + "\"");
		str.append("\r\n");
		str.append("\"送信件数：" + enqueteMail.deliveryTotalNum + "\"");
		str.append("\r\n");
		str.append("\"正常件数：" + enqueteMail.deliverySuccessNum + "\"");
		str.append("\r\n");
		str.append("\"エラー件数：" + enqueteMail.deliveryFailNum + "\"");
		str.append("\r\n");

		System.out.println(str);
	}
}
