/**
 *
 */
package jp.agentec.sinaburocast.form.admin.member;


import jp.agentec.sinaburocast.form.admin.setting.PagingForm;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;
import org.seasar.struts.annotation.Arg;
import org.seasar.struts.annotation.Mask;
import org.seasar.struts.annotation.Maxlength;
import org.seasar.struts.annotation.Msg;

/**
 * @author kim-hs
 *
 */
@Component(instance=InstanceType.SESSION)
public class MemberSearchForm extends PagingForm{

    /** メンバーID */
	public String memberId;

    /** ログインID */
	public String loginId;

	public String firstName;

	public String lastName;

	public String firstNameKana;

	public String lastNameKana;

	public String pcEmail;

	public String mbEmail;

	@Mask(mask = "^[0-9]{7}$",msg=@Msg(key="errors.zipcode"), arg0=@Arg(key="labels.zipCode.from"), target="memberSearchResult")
	public String zipCode;

	@Mask(mask = "^[0-9]{7}$",msg=@Msg(key="errors.zipcode"), arg0=@Arg(key="labels.zipCode.to"), target="memberSearchResult")
	public String zipCode1;

	public String prefectureId;

	public String prefectureName;

	public String cityName;

	public String areaName;

	public String buildingName;

	public String telNo;

	public String genderCd;

	public String birthdayY;
	public String birthdayM;
	public String birthdayD;
	public String birthdayY1;
	public String birthdayM1;
	public String birthdayD1;

	public String age;
	public String age1;
	public String memo;
	public String point;
	public String withDrawFlg;

	public Integer pageNo = 1;


	public String fromDay;
	public String toDay;


	@Maxlength(maxlength=30, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.groupName"), target="memberGroupRegist,memberGroupConfirm")
	public String groupName;
	@Maxlength(maxlength=256, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.memo"), target="memberGroupRegist,memberGroupConfirm")
	public String groupMemo;


	public void clearAll() {
		memberId = null;
		loginId = null;
		firstName = null;
		lastName = null;
		firstNameKana = null;
		lastNameKana = null;
		pcEmail = null;
		mbEmail = null;
		zipCode = null;
		zipCode1 = null;
		pageNo = 1;
		prefectureId= null;
		prefectureName= null;
		cityName= null;
		areaName= null;
		buildingName= null;
		telNo= null;
		genderCd= null;
		birthdayY= null;
		birthdayM= null;
		birthdayD= null;
		birthdayY1= null;
		birthdayM1= null;
		birthdayD1= null;
		age= null;
		age1= null;
		memo= null;
		point= null;
		withDrawFlg= null;
		pagingMapAdd(PAGING);
		groupName= null;
		groupMemo= null;
		fromDay= null;
		toDay=null;
	}
	public void clearPage() {
		pagingMapAdd(PAGING);
		pageNo=1;
		groupName= null;
		groupMemo= null;
	}
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, StandardToStringStyle.DEFAULT_STYLE).toString();
	}
}
