package jp.agentec.sinaburocast.service;

import javax.annotation.Resource;

import jp.agentec.sinaburocast.entity.AdminNotifyMail;
import jp.agentec.sinaburocast.entity.AdminUser;
import jp.agentec.sinaburocast.form.admin.enquete.EnqueteMailSettingForm;
import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class AdminNotifyMailServiceTest extends S2DaoTestCase {

	@Resource
	private AdminNotifyMailService adminNotifyMailService;

	public AdminNotifyMailServiceTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("AdminNotifyMailServiceTest");

		suite.addTest(new AdminNotifyMailServiceTest("findById"));
		suite.addTest(new AdminNotifyMailServiceTest("insertAdminNotifyMail"));
		suite.addTest(new AdminNotifyMailServiceTest("findByEnqueteId"));
		suite.addTest(new AdminNotifyMailServiceTest("findAllOrderById"));
		suite.addTest(new AdminNotifyMailServiceTest("findAllByEnqueteId"));
		suite.addTest(new AdminNotifyMailServiceTest("deleteByEnqueteId"));
//		suite.addTest(new AdminNotifyMailServiceTest("registOrUpdate"));

		return suite;
	}


	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}



	public void findById() {
		System.out.println(adminNotifyMailService.findById(1));
	}

	public void insertAdminNotifyMail() {

		AdminNotifyMail adminNotifyMail = new AdminNotifyMail();
		adminNotifyMail.enqueteId = 77;
		adminNotifyMail.notifyMailSendFlg = 1;
		adminNotifyMail.notifyMailSendTo = "send";
		adminNotifyMail.notifyMailSendCc = "sendCC";
		adminNotifyMail.subject = "test";
		adminNotifyMail.mailBody = "tests";
		System.out.println(adminNotifyMailService.insertAdminNotifyMail(adminNotifyMail,"TESTCLASS01"));
	}

	public void findByEnqueteId() {
		System.out.println(adminNotifyMailService.findByEnqueteId(1));
	}

	public void findAllOrderById() {
		System.out.println(adminNotifyMailService.findAllOrderById());
	}

	public void findAllByEnqueteId() {
		System.out.println(adminNotifyMailService.findAllByEnqueteId("7"));
	}

	public void deleteByEnqueteId() {
		System.out.println(adminNotifyMailService.deleteByEnqueteId("7"));
	}


//	public void registOrUpdate() {
//		EnqueteMailSettingForm enqueteMailSettingForm = new EnqueteMailSettingForm();
//		AdminUser adminUser = new AdminUser();
//		adminNotifyMailService.registOrUpdate(enqueteMailSettingForm,adminUser);
//		//System.out.println();
//	}
}
